### Function

# ICalGLib memory_str_to_glib

since: 1.0

#### Declaration [src]

    gchar*
    i_cal_memory_str_to_glib (
      char* buffer
    )

#### Description [src]

Transform a string allocated with icalmemory into one that can be freed with g_free.

Available since: 1.0

This function is not directly available to language bindings.

#### Parameters

`buffer`

  Type: `char*`

  The ical memory string to transform.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The same string that can be freed with g_free.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.